
Figure - Bug #118298
IOVDEV-30676 【内部】【VC1】【0100】【台架】【EE环境】【副屏】【蓝牙】副屏在于设备连接成功后，
可以修改设备名称超过20个字符，超过长度限制，与需求不符
2023-05-27 12:19 - CDTS-TEST 周婷

Status: CLOSED Start date: 2023-05-27

Priority: Normal Due date:

Assignee: CDTS-TEST 周婷 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.100.

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2023-05-27

Test Type: User Experience Root cause: 需求理解有误。

Description

【环境信息】EE环境

【问题出现时间】：20230526 09：39

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.激活蓝牙耳机设备

2.打开副屏蓝牙

3.点击修改连接成功后的蓝牙设备名称

【实际结果】

1.修改设备名称长度超过20个字符的限制

【期望结果】

1.设备名称不超过20个字符的限制

【备注】：

第158次开机

蓝牙设备型号“安卓蓝牙耳机

日志、视频地址：https://ofs.human-horizons.com/#/download/index/%2FjdUlWLfnVo%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0082.c101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-27 12:20 - CDTS-TEST 周婷

log 飞书提供给廖涛

#2 - 2023-05-27 15:42 - IoT scm
https://ofs.human-horizons.com/#/download/index/%2FjdUlWLfnVo%3D


Gerrit Merge Information：

ID Project Branch Uploader

203052 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Set remote bluetooth device name max length to 20.TC-RID: 1201-0201801IssueID: TS-R-BUG-118298Change-Id:

Icbbe1f06c9cd27ab79bcd780bf897145643bfb5e

#3 - 2023-05-27 15:43 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS-TEST 周婷

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-27

- Root cause set to 需求理解有误。

■ Current conclusion

已处理，代码已入库。

■ My analysis

需求对齐。

■ Next action

测试验证。

#4 - 2023-06-02 13:47 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在106版本验证通过

#5 - 2023-06-02 13:48 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

2025-07-04 2/2


